package com.bootdo.datas.service;

import com.bootdo.datas.domain.GbDataExcelDO;
import com.bootdo.datas.domain.GyDataExcelDO;
import com.bootdo.datas.dto.GyDataImportDTO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface GyDataService {

    List<GyDataImportDTO> list(Map<String, Object> map);

    List<GyDataImportDTO> examineList(Map<String, Object> map);

    int save(String decFlg,int type);

    GyDataImportDTO get(Long id);

    GyDataExcelDO getDataExcel(Long id);

    GbDataExcelDO getGbDataExcel(Long id);

    void batchRemove(Long[] longArray);

    void updateStatus(GyDataImportDTO data);

    int countTotal(Map<String, Object> map);

    int countExamineTotal(Map<String, Object> map);

    List<GyDataImportDTO> listUnion(Map<String, Object> map);

    int countUnion(Map<String, Object> map);

    String dec(MultipartFile file);

    String plainTextImport(MultipartFile file,int type);

    List<GyDataImportDTO> listRecover(Map<String, Object> map);

    int countRecover(Map<String, Object> map);

    int recover(Long id);

    int batchPhysicalDeletion(Long id);

    void encryptExports(HttpServletResponse responses, String idValue) throws Exception;
}
